Summary: PHP documentation plugin for kdevelop
Name: kdevelop4-php-docs
Version: 1.0.1
Release: %mkrel 1
Source0: http://fr2.rpmfind.net/linux/KDE/stable/kdevelop/4.0.0/src/kdevelop-php-docs-%{version}.tar.bz2
License: GPLv2+
Group: Development/Other
Url: http://www.kdevelop.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: kdelibs4-devel
BuildRequires: kdevplatform4-devel >= 4:0.10.2
Requires: kdevelop4-php >= 1.0.0

%description
This plugin adds PHP documentation-view to KDevelop.

%files -f kdevphpdocs.lang
%defattr(-,root,root)
%_kde_libdir/kde4/kdevphpdocs.so
%_kde_libdir/kde4/kdevphpdocs_config.so
%_kde_datadir/config.kcfg/phpdocssettings.kcfg
%_kde_services/kdevphpdocs.desktop
%_kde_services/kdevphpdocs_config.desktop

#--------------------------------------------------------------------

%prep
%setup -qn kdevelop-php-docs-%{version}

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
%{makeinstall_std} -C build

%find_lang kdevphpdocs

%clean
rm -rf %{buildroot}


%changelog
* Sun Jul 18 2010 Funda Wang <fwang@mandriva.org> 1.0.1-1mdv2011.0
+ Revision: 554771
- new version 1.0.1

  + Luis Daniel Lucio Quiroz <dlucio@mandriva.org>
    - Rebuild

* Thu Apr 29 2010 Funda Wang <fwang@mandriva.org> 1.0.0-1mdv2010.1
+ Revision: 540694
- 1.0.0 final

* Sun Apr 04 2010 Funda Wang <fwang@mandriva.org> 0-0.rc1.1mdv2010.1
+ Revision: 531398
- rc1

* Sun Dec 13 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0-0.beta2.1mdv2010.1
+ Revision: 478362
- Fix %%setup
- Update to Beta 2

* Fri Nov 06 2009 Funda Wang <fwang@mandriva.org> 0-0.beta1.1mdv2010.1
+ Revision: 461809
- update description
- import kdevelop4-php-docs

